<?php
// Konekkciju 
// $conn = mysqli_connect("localhost","tagstudi_ukica","Ukica2019","tagstudi_ulfeta");

//funkcija stampa elemente niza
function stampaj_niz($niz)
{
    echo "BR:".$i;
    while($i<=count($niz))
    {
        echo $i.":".$niz[$i++]."||";
    }
}


//Izdvaja skup dijagnoza
function select_all_dija_lat()
{
   $conn = mysqli_connect("localhost","tagstudi_ukica","Ukica2019","tagstudi_ulfeta");
   
   if (!mysqli_connect_errno())
   {
   //IZLISTAVA SKUP Dijagnoza2  
  $sql = "SELECT Sifra,NazivLatinski FROM Dijagnoza2";
  $result = $conn->query($sql);

if ($result->num_rows > 0) {
 //CISCENJE PRAZNINA , SPECIJALNIH ZNAKOVA...
    while($row = $result->fetch_assoc()) {
        $Sifra=$row["Sifra"];
		
        $original = strtolower($row["NazivLatinski"]);//PREBACENA SVA SLOVA U MALA
		$original3 = trim(preg_replace("/[^A-Za-z\-0-9,.;()]/", " ", $original));//uKLANJANJE SVEGA SEM BROJEVA SLOVA I - . ,;
        $original4 = str_replace(';', '.', $original3);//VRACANJE RAZMAKA
        $original5 = trim(preg_replace('/\s\s+/', '\s', $original4));//CICENJE VISESTRUKIH RAZMAKA
        $original61 = str_replace(',\s', '/', $original5);//OBELEZAVANJE SEPARATORA RECENICE
        $original6 = str_replace(',', '/', $original61);//OBELEZAVANJE SEPARATORA RECENICE
        $original71 = str_replace('.\s', '/', $original6);//OBELEZAVANJE KRAJA RECENICE
		$original7 = str_replace('.', '/', $original71);//OBELEZAVANJE KRAJA RECENICE
		$original81 = str_replace('(\s', '/', $original7);//OBELEZAVANJE KRAJA RECENICE
		$original8 = str_replace('(', '/', $original81);//OBELEZAVANJE KRAJA RECENICE
		$original91 = str_replace(')\s', '/', $original8);//OBELEZAVANJE KRAJA RECENICE
        $original9 = str_replace(')', '/', $original91);//OBELEZAVANJE KRAJA RECENICE
		 $original10 = str_replace('-\s', '/', $original9);//OBELEZAVANJE KRAJA RECENICE
		$original11 = str_replace('-', '/', $original10);//OBELEZAVANJE KRAJA RECENICE
       
    echo "<b>Originalna dijagnoza: </b>". $original."<br/>";
    //echo "<b>Originalna dijagnoza: </b>". $original11."<br/>";
   
     
   
   	$array= explode('/',$original11);
     $i=0;
     while($i<count($array))
     {
		 $m1=$i+1;
		 //UPISUJE CELINU
		 if($array[$i]!="")
               {
            //echo $id." ".$m1." ".$array1[$ii]." "."<br/>";
			 //echo $celina_dijagnoza;
             //UPIS CELINE IZ DIJAGNOZE
              $sql = "INSERT INTO Dijagnoza_celinaLAT ( Sifra, idCeline, celinaD_normLAT) VALUES(".$Sifra.", ".$m1.", '".$array[$i]."')";
                if ($conn->query($sql) === TRUE) {
                //echo "OK<br/>";
                } else {
                echo "Error: " . $sql . "<br>" . $conn->error;
                }
            
               }
         
         // $array1=nil;
         $array1= explode(' ',$array[$i]);
         $ii=0;
		 
         while($ii<count($array1))
           {
			   //UPISUJE REC
               if($array1[$ii]!="")
               {
            // echo $id." ".$m1." ".$array1[$ii]." "."<br/>";
             //UPIS RECI IZ CELINA
              $sql = "INSERT INTO Dijagnoza_recLAT (Sifra, idCeline, idRec, recD_normLAT) VALUES (".$Sifra.", ".$m1.",".$ii.", '".$array1[$ii]."')";
                if ($conn->query($sql) === TRUE) {
               // echo "OK<br/>";
                } else {
                echo "Error: " . $sql . "<br>" . $conn->error;
                }
            
               }
               $ii++;
           }
		   
            $i++;
     }
     echo "<br/>";
	 
	}
}
     else
      {
          echo "Zero rows!";
      }}//KRAJ CITANJA REDOVA
  else
  {
      echo "Failed to connect to MySQL: " . mysqli_connect_error();
      
  }
}
select_all_dija_lat();

?>